# Command Line Options

- The Geeqie User Manual
- Reference

These are the command line options available to Geeqie:

Short Option | Long Option | Description
+t | --with-tools | Show file list, menu, and statusbar.
-t | --without-tools | Hide file list, menu, and statusbar. Window contains image only.
-f | --fullscreen | Start up in fullscreen.
-s | --slideshow | Start up in slideshow mode.
-l [filelist] [collectionlist] | --list [filelist] [collectionlist] | Open collection window containing images specified on the command line. Any collections on the command line will also be appended to this collection.
| --blank | Start with file list blank.
| --geometry=<w>x<h>+<x>+<y> | Set the <width> <height> <xoffset> <yoffset> of the window. The parameters are in pixels.
-r | --remote | Send command line options to existing Geeqie process.
-rh | --remote-help | List command line options available to --remote.
-h | --help | Display brief command line option list.
-v | --version | Display version of Geeqie.
| --debug[=<level>] | Turn on debugging output (when compiled with Debug enabled). <level> is 0 to 4.
| --alternate | Use alternate similarity algorithm - experimental - requires re-compile.

- 11.1.1. Remote commands

## 11.1.1. Remote commands

The --remote command line option will send all entered commands to an existing Geeqie process, a new process will be started if one does not exist. These are the additional commands that can be used with the remote command:

Short Option | Long Option | Description
-n | --next | Change main window to display next image.
-b | --back | Change main window to display previous image.
| --first | Change main window to display first image.
| --last | Change main window to display last image.
-f | --fullscreen | Toggle full screen mode of the main window.
-fs | --fullscreen-start | Start full screen mode for main window.
-fS | --fullscreen-stop | Stop full screen mode for main window.
-s | --slideshow | Toggle slide show for main window.
-ss | --slideshow-start | Start slide show for main window.
-sS | --slideshow-stop | Stop slide show for main window.
| --slideshow-recurse:<folder> | Start recursive slide show for <folder> in main window.
-d<[n][.m]> | --delay=<[n][.m]> | Set slide show delay to <[n][.m]> seconds, range is 0.1 to 3600
+t | --tools-show | Show tools for main window.
-t | --tools-hide | Hide tools for main window.
-q | --quit | Quit Geeqie.
| --config-load:<file> | Load configuration from <file>.
| --get-sidecars:<file> | Get list of sidecars of <file>.
| --get-destination:<file> | Get destination path of <file>. This is used by the symlink desktop file to implement the symbolic link operation. There is no useful function for the user.
| file:<file> | Change main window to display <file>
| view:<file> | Open new window containing <file>
| --list-clear | Clear command line collection list
| --list-add:<file> | Add <file> to command line collection list
| raise | Bring the geeqie window to the top